import { Entity, PrimaryGeneratedColumn, Column, OneToOne, JoinColumn } from 'typeorm';
import { Workspace } from '../workspace/workspace.entity';

@Entity()
export class AiConfig {
  @PrimaryGeneratedColumn()
  id!: number;

  @Column()
  apiUrl!: string;

  @Column()
  apiKey!: string;

  @OneToOne(() => Workspace)
  @JoinColumn()
  workspace!: Workspace;
}